<?php

/*
plugin name:S.O.S_SEO
plugin desription: SOS SEO

*/

add_action('add_meta_boxes', 'sos_seo_meta_box');
add_action('admin_menu', 'my_plugin_menu');

function my_plugin_menu() {

  add_options_page('My Plugin Options', 'S.O.S SEO', 'manage_options', 'my-unique-identifier', 'SOS_SEO_Rapor');
  
  function SOS_SEO_Rapor(){
      if (!current_user_can('manage_options'))  {
    wp_die( __('You do not have sufficient permissions to access this page.') );
  }  else {

  $kaynak = file_get_contents("http://localhost/wordpress");
  $favicon_ico= substr_count($kaynak,"favicon.ico");
  $favicon_gif= substr_count($kaynak,"favicon.gif");
  $google_kontrol = substr_count ($kaynak,"google-site-verification");
  
  
  
  
  if ($favicon_gif>=1 && $favicon_ico>=1){
    echo "Sitenizde Favicon kullanimi Tamamdir<br>";
    

  } else {
  
      echo 'Favicon eklememissiniz. Favicon Arama motorlari tarafindan dikkate alinan onemli bir husustur. Detayli bilgi almak icin <a href="http://wordpress-videolu-kurs.com" target="_blank"> WordPress Videolu Kurs </a><br>';  
  }
  
  
  
  if ($google_kontrol>=1 ){
    echo "Sitenizi Google'a eklemissiniz'<br>";


  } else {

      echo 'Sitenizi Google a eklemememissiniz. Google botlari tarafindan dikkate alinan onemli bir husustur. Detayli bilgi almak icin <a href="http://wordpress-videolu-kurs.com" target="_blank"> WordPress Videolu Kurs </a><br>';
  }
  
  }
}
}
function sos_seo_meta_box() {
    add_meta_box( '1', __( 'S.O.S SEO Degerlendirme Tablosu', 'S.O.S SEO' ),
                'sos_seo_box', 'post','normal','high');
    add_meta_box( '1', __( 'S.O.S SEO Degerlendirme Tablosu', 'S.O.S SEO' ),
                'sos_seo_box', 'page','normal','high' );
}

function sos_seo_box() {

  $post_no = get_post($post);
  $thePostID = $post->ID;
  $mykey_values = $thePostID;
  $anahtar_kelime = get_post_meta($thePostID, 'anahtar', true);
  $baslik = $post_no->post_title;
  $icerik = $post_no->post_content;
  $anahtar = $anahtar_kelime;
  $kucuk_icerik = strtolower($icerik);
  $kucuk_anahtar =strtolower($anahtar_kelime);
  $ters_metin= strrev ($kucuk_icerik);
  $ters_anahtar = strrev($kucuk_anahtar);
  

        function count_words($str){
            $words = 0;
            $str = eregi_replace(" +", " ", $str);
            $array = explode(" ", $str);
            for($i=0;$i < count($array);$i++)
            {
            if (eregi("[0-9A-Za-z---]", $array[$i]))
            $words++;
            }
            return $words;       
   }
@$baslik_say = substr_count($baslik,$kucuk_anahtar); 
$toplam_kelime = count_words($kucuk_icerik);
@$say=substr_count($kucuk_icerik,"$kucuk_anahtar");
@$yogunluk = $say / $toplam_kelime;
@$yuvarlama =   round($yogunluk,4)*100; 

 
 preg_match_all("/<h1>(.*?)<\/h1>/",$kucuk_icerik,$h1_basliklar);
@$h1_baslik = implode (" ",$h1_basliklar[1]);
@$h1_say = substr_count($h1_baslik,$kucuk_anahtar);

preg_match_all("/<h2>(.*?)<\/h2>/",$kucuk_icerik,$h2_basliklar);
$h2_baslik = implode (" ",$h2_basliklar[1]);
@$h2_say = substr_count($h2_baslik,$kucuk_anahtar);

preg_match_all("/<h3>(.*?)<\/h3>/",$kucuk_icerik,$h3_basliklar);
$h3_baslik = implode (" ",$h3_basliklar[1]);
@$h3_say = substr_count($h3_baslik,$kucuk_anahtar);

$res=substr_count ($kucuk_icerik,"<img");
 
preg_match_all("/<img (.*?)\/>/",$kucuk_icerik,$gorseller);
$alt_yazi = implode (" ",$gorseller[1]);
@$alt_yazi_say = substr_count($alt_yazi,$kucuk_anahtar);

 
$permalink= get_permalink();
$iclink = explode("/",$permalink);
preg_match_all("/href=\"([^\"]+)/i",$kucuk_icerik,$matches);
$comma = implode (" ",$matches[1]);
$links = explode (" ",$comma);
$rel_noflow_say=substr_count($kucuk_icerik,"nofollow");
$href_say =substr_count($kucuk_icerik,"<a href=");
$iclink_say = substr_count ($comma,$iclink[2]);
$dislink_say=$href_say-$iclink_say ;
$rel_noflow_bilgi = $dislink_say - $rel_noflow_say;

 
preg_match_all("/<strong>(.*?)<\/strong>/",$kucuk_icerik,$bold_ifadeler);
$bold = implode (" ",$bold_ifadeler[1]);
@$bold_say = substr_count($bold,$kucuk_anahtar);

      
preg_match_all("/<em>(.*?)<\/em>/",$kucuk_icerik,$italik_ifadeler);
$italik = implode (" ",$italik_ifadeler[1]);
@$italik_say = substr_count($italik,$kucuk_anahtar);


 preg_match_all("/<span (.*?)<\/span>/",$kucuk_icerik,$alticiz_ifadeler);
$alti_cizik = implode (" ",$alticiz_ifadeler[1]);
@$alti_cizik_say = substr_count($alti_cizik,$kucuk_anahtar);
if ($yuvarlama >=2&& $yuvarlama<=6) {
    $yuvarlama_seo_sayim=11.1;
      }
if ($baslik_say>=1){
    $baslik_seo_sayim=10.5;
    }

    if ($h1_say>=1) {
    $h1_seo_sayim=15.1;
    }
    if ($h2_say>=1) {
    $h2_seo_sayim=12.2;
    }
    if ($h3_say>=1) {
    $h3_seo_sayim=11.4;
    }
    if ($res>=1) {
    $res_seo_sayim=5.3;
    }
    if ($alt_yazi_say>=1) {
    $alt_yazi_seo_sayim=4.1;
    }

    if ($bold_say>=1) {
        $bold_seo_sayim =4.3;
    }

    if ($italik_say>=1)    {
        $italik_seo_sayim=3.1;
    }

    if ($alti_cizik_say>=1) {
        $alti_cizik_seo_sayim =3.4;
    }

    if ($iclink_say>=1) {
        $iclik_seo_sayim =5.3;
    }

   if ($dislink_say>=1 and $rel_noflow_bilgi==0) {
       $dislik_seo_sayim =7.1;
       }
    $seo_puan = $dislik_seo_sayim+$iclik_seo_sayim+$alti_cizik_seo_sayim+$italik_seo_sayim+$alt_yazi_seo_sayim+$yuvarlama_seo_sayim +$h1_seo_sayim + $h2_seo_sayim + $h3_seo_sayim + $res_seo_sayim + $bold_seo_sayim+$baslik_seo_sayim;
    $seo_sonuc = $seo_puan; 

    
     echo '<table width="100%" border="0" cellpadding="0" cellspacing="0";">
  <tr>
    <th width="45%" align="center" scope="col"></th>
    <th width="38%" align="center" scope="col"></th>
    <th width="22%" align="center" rowspan="12" scope="col" style="font-size: x-large;">';
     if ($seo_sonuc<50){
    echo  "<strong> <font  color=#FF0000 >% $seo_sonuc  </strong></font>";
    }
    if ($seo_sonuc>=50 && $seo_sonuc<=75){
    echo  "<strong> <font  color= #FFFF00> % $seo_sonuc  </strong></font><br>";
    }
     if ($seo_sonuc>75){
    echo  "<strong> <font  color=#00FF00> % $seo_sonuc  </strong></font><br>";
    }

    echo '</th>
     </tr>
     <tr>
    <td><strong>Kullandiginiz Anahtar Kelime</strong></td>
    <td align="center">';
    echo $anahtar_kelime;


  echo '</tr>
     <tr>
    <td><img src="http://uyduhaberlesme.com/wp-content/uploads/2010/07/link-ekle.png"/> Anahtar Kelime Yogunlugu</td>
    <td align="center">';
    if ($yuvarlama >=2&& $yuvarlama<=6) {
    echo  "<strong><font color=#00FF00> % $yuvarlama </strong></font>";
}
else if ($yuvarlama<2){
    echo  "<font color=#FF0000> % $yuvarlama AZ!!</font>";
}
 else if ($yuvarlama>6){
    echo  "<font color=#FF0000> %  $yuvarlama FAZLA!!</font>";
 }
  echo '</tr>
  <tr>
    <td><img src="http://uyduhaberlesme.com/wp-content/uploads/2010/07/link-ekle.png"/>Anahtar Kelime Iceren Baslik (Title) Kullanimi</td>
    <td align="center">';
    if ($baslik_say>=1){
    echo "<img src='http://uyduhaberlesme.com/wp-content/uploads/2010/07/tamam2.jpg'/>";

}    else if($baslik_say<1) {
    echo "<img src='http://uyduhaberlesme.com/wp-content/uploads/2010/08/error.jpg'/>";
    
}
    echo '</td>
  </tr>
<tr>
    <td><img src="http://uyduhaberlesme.com/wp-content/uploads/2010/07/link-ekle.png"/>Anahtar Kelime Iceren H1 Baslik Kullanimi</td>
    <td align="center">';
    if ($h1_say>=1){
    echo "<img src='http://uyduhaberlesme.com/wp-content/uploads/2010/07/tamam2.jpg'/>";
}    else if($h1_say<1) {
    echo "<img src='http://uyduhaberlesme.com/wp-content/uploads/2010/08/error.jpg'/>";
}
    echo '</td>
  </tr>
  <tr>
    <td><img src="http://uyduhaberlesme.com/wp-content/uploads/2010/07/link-ekle.png"/> Anahtar Kelime Iceren H2 Baslik Kullanimi</td>
    <td align="center">';
    if ($h2_say>=1){
    echo "<img src='http://uyduhaberlesme.com/wp-content/uploads/2010/07/tamam2.jpg'/>";
}    else if ($h2_say<1){
    echo "<img src='http://uyduhaberlesme.com/wp-content/uploads/2010/08/error.jpg'/> ";
     
}
    echo '</td>
  </tr>
  <tr>
    <td><img src="http://uyduhaberlesme.com/wp-content/uploads/2010/07/link-ekle.png"/>Anahtar Kelime Iceren H3 Baslik Kullanimi</td>
    <td align="center">';
    if ($h3_say>=1){
    echo "<img src='http://uyduhaberlesme.com/wp-content/uploads/2010/07/tamam2.jpg'/>";
}   else  if ($h3_say<1){
    echo "<img src='http://uyduhaberlesme.com/wp-content/uploads/2010/08/error.jpg'/>";
}
    echo '</td>
  </tr>
  <tr>
    <td><img src="http://uyduhaberlesme.com/wp-content/uploads/2010/07/link-ekle.png"/>Konu ile ilgili gorsel kullanimi</td>
    <td align="center">';
    if ($res>=1) {
  echo "<img src='http://uyduhaberlesme.com/wp-content/uploads/2010/07/tamam2.jpg'/>";
 }  else if ($res<1) {
  echo "<img src='http://uyduhaberlesme.com/wp-content/uploads/2010/08/error.jpg'/>";
 }
    echo '</td>
  </tr>
  <tr>
    <td><img src="http://uyduhaberlesme.com/wp-content/uploads/2010/07/link-ekle.png"/>Gorsel Alt Tag icinde Anahtar kelime kullanimi</td>
    <td align="center">';
   if ($alt_yazi_say<1){
   echo "<img src='http://uyduhaberlesme.com/wp-content/uploads/2010/08/error.jpg'/>";
 }  else if ($alt_yazi_say>=1) {
   echo "<img src='http://uyduhaberlesme.com/wp-content/uploads/2010/07/tamam2.jpg'/>";
 }
    echo '</td>
  </tr>


  <tr>
    <td><img src="http://uyduhaberlesme.com/wp-content/uploads/2010/07/link-ekle.png"/><strong>Bold (Kalin)</strong>Anahtar kelime kullanimi</td>
    <td align="center">';
   if ($bold_say<1){
  echo "<img src='http://uyduhaberlesme.com/wp-content/uploads/2010/08/error.jpg'/>";
}   else if ($bold_say>=1){
    echo "<img src='http://uyduhaberlesme.com/wp-content/uploads/2010/07/tamam2.jpg'/>";
}
    echo '</td>
  </tr>


  <tr>
    <td><img src="http://uyduhaberlesme.com/wp-content/uploads/2010/07/link-ekle.png"/><em>Italik</em>  Anahtar kelime kullanimi</td>
    <td align="center">';
   if ($italik_say<1){
    echo "<img src='http://uyduhaberlesme.com/wp-content/uploads/2010/08/error.jpg'/>";
}   else if ($italik_say>=1){
    echo "<img src='http://uyduhaberlesme.com/wp-content/uploads/2010/07/tamam2.jpg'/>";
}
    echo '</td>
  </tr>


  <tr>
    <td><img src="http://uyduhaberlesme.com/wp-content/uploads/2010/07/link-ekle.png"/><span style="text-decoration: underline">Underline</span> Anahtar kelime kullanimi</td>
    <td align="center">';
   if ($alti_cizik_say<1){
    echo "<img src='http://uyduhaberlesme.com/wp-content/uploads/2010/08/error.jpg'/>";
}   else if ($alti_cizik_say>=1){
    echo "<img src='http://uyduhaberlesme.com/wp-content/uploads/2010/07/tamam2.jpg'/>";
}
    echo '</td>
  </tr>

  <tr>
    <td><img src="http://uyduhaberlesme.com/wp-content/uploads/2010/07/link-ekle.png"/>Sayfa Ici Link kullanimi</td>
    <td align="center">';
   if ($iclink_say<=0){
    echo "<img src='http://uyduhaberlesme.com/wp-content/uploads/2010/08/error.jpg'/>";
}
if ($iclink_say>=1)  {
    echo "<img src='http://uyduhaberlesme.com/wp-content/uploads/2010/07/tamam2.jpg'/>";
}
    echo '</td>
  </tr>
  <tr>
    <td><img src="http://uyduhaberlesme.com/wp-content/uploads/2010/07/link-ekle.png"/>Sayfa Disi Link Kullanimi</td>
    <td align="center">';
   if ($dislink_say<=0){
    echo "<img src='http://uyduhaberlesme.com/wp-content/uploads/2010/08/error.jpg'/>";
}
   if ($dislink_say>=1 and $rel_noflow_bilgi>0){
       echo "<font color=#FF0000>$rel_noflow_bilgi adet dis linkte rel=NoFollow kullanilmamis</font>";
       }
if ($dislink_say>=1 and $rel_noflow_bilgi==0){
        echo "<img src='http://uyduhaberlesme.com/wp-content/uploads/2010/07/tamam2.jpg'/>";
   }
    echo '</td>
  </tr>
</table>';

}


?>